diff --git a/changelog b/changelog
index eb93112..56542a2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090622 tpd src/axiom-website/patches.html 20090622.03.tpd.patch
+20090622 tpd src/axiom-website/download.html add mandriva
 20090622 tpd src/axiom-website/patches.html 20090622.02.tpd.patch
 20090622 tpd src/Makefile make xhtml pages in parallel
 20090622 tpd Makefile make xhtml pages in parallel
diff --git a/src/axiom-website/download.html b/src/axiom-website/download.html
index e213faf..f5a6f0c 100644
--- a/src/axiom-website/download.html
+++ b/src/axiom-website/download.html
@@ -516,6 +516,8 @@
      </td>
      <td align="center">
       <font face="Helvetica, Arial, sans-serif" size="+1">
+      <a href="downloads/axiom-may2009-src.tgz">src</a>
+      <a href="downloads/axiom-fedora7-may2009-bin.tgz">bin</a>
       </font>
      </td>
     </tr>
@@ -582,6 +584,8 @@
      </td>
      <td align="center">
       <font face="Helvetica, Arial, sans-serif" size="+1">
+      <a href="downloads/axiom-may2009-src.tgz">src</a>
+      <a href="downloads/axiom-fedora8-may2009-bin.tgz">bin</a>
       </font>
      </td>
     </tr>
@@ -689,6 +693,8 @@
      </td>
      <td align="center">
       <font face="Helvetica, Arial, sans-serif" size="+1">
+      <a href="downloads/axiom-may2009-src.tgz">src</a>
+      <a href="downloads/axiom-fedora9-may2009-bin.tgz">bin</a>
       </font>
      </td>
     </tr>
@@ -741,6 +747,8 @@
      </td>
      <td align="center">
       <font face="Helvetica, Arial, sans-serif" size="+1">
+      <a href="downloads/axiom-may2009-src.tgz">src</a>
+      <a href="downloads/axiom-fedora10-may2009-bin.tgz">bin</a>
       </font>
      </td>
     </tr>
@@ -900,6 +908,8 @@
      </td>
      <td align="center">
       <font face="Helvetica, Arial, sans-serif" size="+1">
+      <a href="downloads/axiom-may2009-src.tgz">src</a>
+      <a href="downloads/axiom-opensuse-may2009-bin.tgz">bin</a>
       </font>
      </td>
     </tr>
@@ -1252,6 +1262,56 @@
       </font>
      </td>
     </tr>
+
+    <tr>
+     <td align="left">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+       mandriva
+      </font>
+     </td>
+     <!--td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td-->
+     <!--td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td-->
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      <a href="downloads/axiom-mandriva-may2009-src.tgz">src</a>
+      <a href="downloads/axiom-mandriva-may2009-bin.tgz">bin</a>
+      </font>
+     </td>
+    </tr>
    </tbody>
   </table>
 
@@ -1324,6 +1384,8 @@ make
 
 
 <h2>CVS</h2>
+  Note: As of May 2009, CVS is no longer supported. Use Git.
+
   You can also download the source tree from CVS and compile it. To
   download the code from sourceforge, do:
 
@@ -1379,6 +1441,18 @@ make
 
    </pre>
 
+  <h3>Mandriva </h3>
+   <pre>
+urpmi xterm emacs git-core texlive texlive-latex libXpm-devel make gcc
+download the latest axiom-(date)-src.tgz
+tar -zxf axiom-(date)-src.tgz
+cd axiom
+export AXIOM=`pwd`/mnt/mandriva
+export PATH=$AXIOM/bin:$PATH
+make
+
+   </pre>
+
   <h3>Ubuntu</h3>
    <pre>
 echo 0 >/proc/sys/kernel/randomize_va_space
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index da71f29..a2d5fcd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1637,7 +1637,9 @@ spline.input explain how to compute 2D splines<br/>
 bookvol10.4 SUBRESP +-> conversion<br/>
 <a href="patches/20090622.01.tpd.patch">20090622.01.tpd.patch</a>
 bookvol10.4 ODESYS +-> conversion<br/>
-<a href="patches/20090622.01.tpd.patch">20090622.01.tpd.patch</a>
+<a href="patches/20090622.02.tpd.patch">20090622.02.tpd.patch</a>
 Makefile make xhtml pages in parallel<br/>
+<a href="patches/20090622.02.tpd.patch">20090622.03.tpd.patch</a>
+src/axiom-website/download.html add mandriva<br/>
  </body>
 </html>
